ALTER TABLE M_NNSTOMAR 
ADD RENTAL_POOL VARCHAR2(1 CHAR)
;

ALTER TABLE BERTH_OWNER_TYPE
ADD RENTAL_POOL VARCHAR2(1 CHAR)
;

CREATE TABLE RENTAL_POOL_CALC (
ID_RENTAL_POOL NUMBER NOT NULL,
ID_OWNER NUMBER NOT NULL,
ID_PRIVEZ NUMBER NOT NULL,
CALC_DATE DATE NOT NULL,
DATE_FROM DATE,
DATE_TO DATE,
QUANTITY NUMBER NOT NULL,
MQUANTITY NUMBER NOT NULL,
AMOUNT NUMBER NOT NULL,
AMOUNT_TAX NUMBER NOT NULL,
ID_TAX NUMBER,
AMOUNT_FEE NUMBER,
AMOUNT_TAX_FEE NUMBER,
PERIOD_TOTAL NUMBER,
PERIOD_NIGHTS NUMBER,
ID_SALDKONT NUMBER,
NNLOCATION_ID NUMBER,
CONSTRAINT PK_RENTAL_POOL_CALC PRIMARY KEY (ID_RENTAL_POOL)
)
;

CREATE SEQUENCE RENTAL_POOL_CALC_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE
;

CREATE OR REPLACE VIEW V_RENTAL_POOL_CALC AS 
(SELECT R.ID_RENTAL_POOL, R.NNLOCATION_ID, R.ID_OWNER, R.ID_PRIVEZ, R.ID_SALDKONT, R.ID_TAX, R.CALC_DATE, R.DATE_FROM, R.DATE_TO, R.QUANTITY, R.MQUANTITY, 
R.AMOUNT, R.AMOUNT_TAX, R.AMOUNT_FEE, R.AMOUNT_TAX_FEE, R.PERIOD_TOTAL, R.PERIOD_NIGHTS,
K.PRIIMEK AS KUPCI_PRIIMEK, K.IME AS KUPCI_IME,
S.N_RACUNA AS SALDKONT_N_RACUNA,
D.OPIS AS S_DAVEK_OPIS,
P.N_PRIVEZA AS NNPRIVEZ_N_PRIVEZA
FROM RENTAL_POOL_CALC R
LEFT OUTER JOIN KUPCI K ON R.ID_OWNER=K.ID
LEFT OUTER JOIN SALDKONT S ON R.ID_SALDKONT=S.ID_SALDKONT
LEFT OUTER JOIN S_DAVEK D ON R.ID_TAX=D.ID_DAVEK
LEFT OUTER JOIN NNPRIVEZ P ON R.ID_PRIVEZ=P.ID_PRIVEZ
)
;

ALTER TABLE NNPRIVEZ 
ADD MULTIHULL VARCHAR2(1 CHAR)
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2270, SYSDATE, '5.5', 2190, 'RENTAL_POOL_CALC')
;
